It is currently November 28th, 2014, 4:49 pm Advanced search

Dependencies Not Met

Everything related to running XBMC for Linux on XIOS DS

Dependencies Not Met

Postby petera209 » January 1st, 2013, 3:09 pm

Hey guys, I am fairly certain this topic has been discussed several times before but here I go... I am starting to get the Dependencies Not Met error with several add ons. It started with Weather Underground but has since started spreading to things like Global Search, TMZ, Funny or Die and PBS. Most of these work fine on my other XBMC devices. They just don't work on my Xios. What can be done, if anything to fix these errors? I am not incredibly technically skilled (still having a problem ssh'ing into my box) but if you tell me what to do I will try. Thank you in advance.
petera209
 
Posts: 8
Joined: November 20th, 2012, 2:33 pm

Re: Dependencies Not Met

Postby aasoror » January 1st, 2013, 3:19 pm

Is your other devices running Frodo RC2 too ?
Are you running the latest nightly on the XIOS ?
The AIOS wiki - The AIOS Semiofficial firmwares
Calling upon ALL AIOSers, your feedback is needed -- Calling upon ALL XIOSers, your feedback is needed
XIOS XBMC: Setup -- Keep the annoying XIOS developers happy, always attach a log with your bug report, here is how.
User avatar
aasoror
Pivos Employee
 
Posts: 12520
Joined: September 26th, 2011, 5:18 pm

Re: Dependencies Not Met

Postby petera209 » January 2nd, 2013, 2:48 am

It started happening on XBMC4U's nightly update about 5 days ago. It was a Linux Frodo build that he rolled back to Beta 3 because it fixed the stuttering video issue that seemed to happen in RC2. I then updated to his last nightly from 2 days ago that was an RC2 version but the dependency issue popped up again. I have 2 Xios units and I installed the Android version on my other unit and used the official XBMC RC2 Android version and the dependency issue disappeared but the Hardware acceleration didn't work and every video was so badly stuttering so I uninstalled and used the 121512 Xios Android app and boom the dependency issues came back. I am at a loss that I assume will not be solved until the next official Xios update unless of course you have some ideas. Thanks in advance.
petera209
 
Posts: 8
Joined: November 20th, 2012, 2:33 pm

Re: Dependencies Not Met

Postby sociallya » January 2nd, 2013, 5:08 am

WinSCP in to your box and take the plugin directory and place it in the .xbmc/addon folder. Problem solved.
sociallya
Dedicated
 
Posts: 68
Joined: May 8th, 2012, 9:22 am

Re: Dependencies Not Met

Postby eljeh » January 2nd, 2013, 12:46 pm

I'm having the same issues with skins. I'm using the latest official Linux port for M3. I tried to install Aeon MQ3 on it and got a Dependent Not Met error. I have that skin installed on a M1 box, installed it about 3 months ago and works fine. I tried a couple of other skins to install on the M3 and get the same DNM error......
eljeh
 
Posts: 5
Joined: December 17th, 2012, 12:57 pm

Re: Dependencies Not Met

Postby petera209 » January 2nd, 2013, 12:50 pm

Thanks for the response but the plugins were already in the addon directory. This seems to be happening only with official XBMC addons and only when a new update comes for one of them. Today I got the message for XBMC Backup. Anyone else have any ideas?
From what I can tell these are the addons which so far have the Dependency Not Met error:
XBMC Back Up
Weather Underground
TMZ
Funny Or Die
PBS
Global Search
Radio
Apple Podcast
Last edited by petera209 on January 2nd, 2013, 2:17 pm, edited 1 time in total.
petera209
 
Posts: 8
Joined: November 20th, 2012, 2:33 pm

Re: Dependencies Not Met

Postby TheVeener » January 2nd, 2013, 1:45 pm

I'm having a similar problem running 20121215 beta on the Pivos XIOS DS M3 hardware.
Getting "Dependencies Not Met" errors on the "Radio" and "Apple iTunes Podcasts" audio plugins.

Checking the source code of the radio addon:
<addon id="plugin.audio.radio_de" name="Radio" version="2.1.3" provider-name="Tristan Fischer (sphere@dersphere.de)">
<requires>
<import addon="xbmc.python" version="2.1.0"/>
<import addon="script.module.xbmcswift2" version="1.3.0"/>
<import addon="script.module.simplejson" version="2.0.10"/>
</requires>

I'm scp'd into the box (WinSCP) and noticed there are no files in the /root/.xbmc/system folder.
There are no files in these other folders either.
/root/.xbmc/media
/root/.xbmc/sounds

This folder is present on my windows.
C:\Program Files\xbmc\addons\script.module
And it IS there on my pivos...
/root/.xbmc/addons/script.module.xbmcswift2
So far so good.

This folder is present on windows:
C:\Program Files\xbmc\addons\script.module.simplejson
But can't find them it on the pivos.
/root/.xbmc/addons/script.module.simplejson

My log files say:
15:27:00 T:1093865120 DEBUG: ADDON: cpluff: 'Plug-in xbmc.python has been installed.'
15:27:00 T:1093865120 DEBUG: ADDON: cpluff: 'Plug-in script.module.xbmcswift2 has been installed.'
but I don't see anything for the simplejson.

Hopefully this is enough information to help diagnose the issue.

Thanks!
TheVeener
 
Posts: 8
Joined: October 3rd, 2012, 9:45 am

Re: Dependencies Not Met

Postby TheVeener » January 2nd, 2013, 4:58 pm

After looking into this further I think it's happening with any plugins that now require the latest python (which isn't supported by the 2012-12-15 build apparently)... The build log of several plugins are showing that they are making the change.
<import addon="xbmc.python" version="2.1.0"/>

Is support for the v2.1.0 plugin in the nightly builds for the M3?

Thanks!
TheVeener
 
Posts: 8
Joined: October 3rd, 2012, 9:45 am

Re: Dependencies Not Met

Postby davilla » January 2nd, 2013, 7:20 pm

keep in mind, beta3 -> rc2 -> rc3 -> release, will have lots of addon version bumps and tweaks.
davilla
Pivos Employee
 
Posts: 1382
Joined: July 14th, 2012, 10:12 pm

Re: Dependencies Not Met

Postby TheVeener » January 3rd, 2013, 7:26 am

Last night, I flashed the latest nightly M3 release to it (2013-01-01) and the problem is now resolved.
Latest nightly release is working great for me I have not noticed any issues with it yet.

Thanks
TheVeener
 
Posts: 8
Joined: October 3rd, 2012, 9:45 am

Next

Return to XBMC on XIOS DS (Linux)

Who is online

Users browsing this forum: Bing [Bot] and 7 guests